HPC Jobs
Check whether Slurm submission is supported
Asks the target data plane whether it currently supports submitting Slurm jobs for the calling user and project. Required permissions: StartJob, UseGlobalCompute
GET
/
api
/
hpc
/
v1
/
jobs
/
submit-supported
Check whether Slurm submission is supported
curl --request GET \
--url https://mycluster.domino.tech/api/hpc/v1/jobs/submit-supported \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/hpc/v1/jobs/submit-supported"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/hpc/v1/jobs/submit-supported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supported": true
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
Id of project to check Slurm submit support for
Id of the data-plane to check Slurm submit support for
Optional Slurm partition to check submit support for.
Response
Success
Whether the target data plane currently supports submitting Slurm jobs for the calling user and project.
Example:
true
Last modified on September 3, 2026
Was this page helpful?
⌘I
Check whether Slurm submission is supported
